/**
 * Styling for the site-wide banner block.
 */

/* Only supports top page position, for now */

section.mio-site-banner-top {
    width: 100%;
}

section.mio-site-banner-top .inner {
    position: relative;
    box-sizing: border-box;
    min-height: var(--spacing-11);
    max-width: var(--max-width);
    margin: 0 auto;
    padding: var(--spacing-4) var(--default-padding);
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: center;
    gap: var(--spacing-5);
}

section.mio-site-banner-top .inner:has(.close) {
    padding-inline-end: 88px;
}

section.mio-site-banner-top .inner .close {
    position: absolute;
    inset-block-start: var(--spacing-4);
    inset-inline-end: var(--spacing-7);
    color: var(--color);
}

section.mio-site-banner-top .title {
    font: var(--font-copy-md-bold);
    color: var(--color);
}

section.mio-site-banner-top .blurb {
    font: var(--font-copy-md);
    color: var(--color);
}
section.mio-site-banner-top.loading .blurb {
    max-width: 50%;
    max-height: 1.5em;
}

section.mio-site-banner-top .text-button {
    color: var(--color);
}

/* region Background A */

section.mio-site-banner-top.background-a {
    background: linear-gradient(90deg, #CE3F2D 0%, #B70538 100%);
    --color: var(--color-grey-1000);
}

section.mio-site-banner-top.background-a.loading .skeleton {
    --skeleton-bg: var(--color-primary-red-700);
    --shine-colour: rgba(172, 0, 0, 0.3);
}

/* endregion */

/* region Background B */

section.mio-site-banner-top.background-b {
    background: linear-gradient(90deg, #005CA8 0%, #003D7A 100%);
    --color: var(--color-grey-1000);
}

section.mio-site-banner-top.background-b.loading .skeleton {
    --skeleton-bg: #004A8A;
    --shine-colour: rgba(0, 40, 80, 0.3);
}

/* endregion */

/* region Background C */

section.mio-site-banner-top.background-c {
    background: linear-gradient(90deg, #1D1D2C 0%, #2D2D44 100%);
    --color: var(--color-grey-1000);
}

section.mio-site-banner-top.background-c.loading .skeleton {
    --skeleton-bg: #2A2A3F;
    --shine-colour: rgba(0, 0, 0, 0.3);
}

/* endregion */

/* Breakpoints M and S */
@media screen and (min-width: 0px) and (max-width: 1080px) {
    section.mio-site-banner-top .inner {
        flex-direction: column;
        align-items: start;
        gap: var(--spacing-3);
    }

    section.mio-site-banner-top .inner:has(.close) {
        padding-inline-end: 72px;
    }
}
